Create a new order

Creates a new order in the system. Even though an order is created successfully, the response can return an array named "validationErrors" containing errors that will need to be addressed. Note that Basic Authentication is required for all requests as such, make sure to provide the Authorization header with a valid value. Should you choose to provide a callback url by using the 'WebhookUrl' field, we will send a HTTP POST request to that URL with a JSON payload containing the OrderId when specific events occur on the order.

CallerInfo.UserId and CallerInfo.Email are mutually exclusive. One must be present, but both cannot be used at the same time.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
length ≥ 1
callerInfo
object
required
pickupAddress
object
required
pickupLocation
object
pickupContactInfo
object
pickupWindow
object
pickupLocalWindow
object
string | null
deliveryAddress
object
required
deliveryLocation
object
deliveryContactInfo
object
deliveryWindow
object
deliveryLocalWindow
object
string | null
string | null
string | null
string | null
metadata
object | null
int32 | null
double | null
date-time | null
date-time | null
string | null
orderPayout
object
int32
enum

[0 - 'NoValidation', 1 - 'PickupOnly', 2 - 'DeliveryOnly', 3 - 'PickupAndDelivery']

Allowed:
attributeIds
array of strings | null
attributeIds
extraFees
array of objects | null
extraFees
hubs
array of objects | null
hubs
string | null
string | null
int32 | null

We will select the specific route plan provided it is valid.

string | null

If the order matches a route plan, we will use this value to find a zone, if it matches no zone, we will add the order in a route with this name.

int32
0 to 120
int32
0 to 120
double | null
double | null
boolean
boolean
boolean
boolean
boolean | null
string | null
string | null
string | null
workflows
array of objects | null
workflows
userFields
array of objects | null
userFields
items
array of objects | null
items
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

500

An error occurred when trying to create the order

Language
Credentials
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json